Subject: Re: [PATCH v2] travis-ci: build documentation

From: Matthieu Moy <[email-masked]>
Date: Fri, 29 Apr 2016 19:53:35 +0200

Stefan Beller <[email-masked]> writes:

> On Fri, Apr 29, 2016 at 5:21 AM, Matthieu Moy
> <[email-masked]> wrote:
>> Jeff King <[email-masked]> writes:
>>
>>> On Fri, Apr 29, 2016 at 11:35:34AM +0200, [email-masked] wrote:
>>>
>>>> +# The follow numbers need to be adjusted when new documentation is added.
>>>> +test_file_count html 233
>>>> +test_file_count xml 171
>>>> +test_file_count 1 152
>>>
>>> This seems like it will be really flaky and a pain in the future. I'm
>>> not really sure what it's accomplishing, either. The earlier steps would
>>> complain if something failed to render, wouldn't they? At some point we
>>> have to have some faith in "make doc".
>>
>> I agree. My proposal to check for a handful of generated files was just
>> because this extra paranoia was almost free (just 3 lines of code that
>> won't need particular maintenance).
>>
>> In this case, I'm afraid the maintenance cost is much bigger than the
>> expected benefits.
>
> So you proposed to check a handful files for its exact content?

No, just to check that the files exist and are non-empty, i.e. the "test
-s" part of Lars' patch.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/